summaryrefslogtreecommitdiff
path: root/dev-python/progressbar/progressbar-2.5.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/progressbar/progressbar-2.5.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/progressbar/progressbar-2.5.ebuild')
-rw-r--r--dev-python/progressbar/progressbar-2.5.ebuild20
1 files changed, 20 insertions, 0 deletions
diff --git a/dev-python/progressbar/progressbar-2.5.ebuild b/dev-python/progressbar/progressbar-2.5.ebuild
new file mode 100644
index 000000000000..bba331c15265
--- /dev/null
+++ b/dev-python/progressbar/progressbar-2.5.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Text progressbar library for python"
+HOMEPAGE="https://pypi.org/project/progressbar/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( LGPL-2.1 BSD )"
+SLOT="0"
+KEYWORDS="amd64 ~arm ppc x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${BDEPEND}"